body {
  margin:0;
  padding:0;
  background:#000;
}
#main {
  width:750px;
  height: 750px; /*can be anything, just should make sure it is taller than the sidebar*/
  padding: 25px;
  float: left;
  background-color: #fafafa;
}
#sidebar {
  width: 120px;
  background-color: #ccc;
  min-height: 200px;
  margin: 10px 0 15px 0; /*controls the cutoff of the top and bottom limitations*/
  padding: 15px 10px;
  float: left; /* float right for a right aligned sidebar */
}
#footer {
  width: 940px;
  clear:both;
  background-color: #ccc;
  height: 500px;
  margin-top: 100px;
}
#wrapper {
  width: 940px; /* MUST HAVE WIDTH SET, should be the sidebar width + main width */
  margin-left: auto;
  margin-right: auto;
}